Bug 1119796 - Cannot Run Once VM as stateless (Cant find constructor for type org.ovirt.engine.core.bll.RunVmOnceCommand & NPE)
Summary: Cannot Run Once VM as stateless (Cant find constructor for type org.ovirt.eng...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Yair Zaslavsky
QA Contact: Pavel Novotny
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 14:15 UTC by Pavel Novotny
Modified: 2016-02-10 19:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:34:58 UTC
oVirt Team: Infra


Attachments (Terms of Use)
engine.log - fail to run once VM (24.14 KB, text/x-log)
2014-07-15 14:15 UTC, Pavel Novotny
no flags Details

Description Pavel Novotny 2014-07-15 14:15:42 UTC
Created attachment 918179 [details]
engine.log - fail to run once VM

Description of problem:
In GUI doing a Run Once VM  with "Run Stateless" enabled fails. No error is displayed and the VM doesn't start.

Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch (beta)

How reproducible:
100%

Steps to Reproduce:
1. Have a VM with bootable disk.
2. Run Once -> check "Run Stateless" -> OK
3.

Actual results:
New event shows up "Starting VM <vm> was initiated by user@domain.", but the
VM doesn't start. 
Traceback is thrown in engine.log (see attached).

Expected results:
VM is started as stateless. No errors.

Additional info:
Traceback snippet:

2014-07-15 15:58:59,200 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (org.ovirt.thread.pool-8-thread-33) Cant find constructor for type org.ovirt.engine.core.bll.RunVmOnceCommand with parameter types: [class org.ovirt.engine.core.common.action.RunVmOnceParams, class org.ovirt.engine.core.bll.context.CommandContext]
...
...
2014-07-15 15:58:59,273 ERROR [org.ovirt.engine.core.bll.tasks.CommandAsyncTask] (org.ovirt.thread.pool-8-thread-33) [within thread]: endAction for action type RunVmOnce threw an exception.: java.lang.NullPointerException
...
...

Comment 1 Pavel Novotny 2014-09-04 12:41:18 UTC
Verified in ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch (rc1.1).

Verification steps:
1. In GUI create VM with bootable disk.
2. Select VM -> Run Once -> check "Run Stateless" -> OK

Result:
VM is ran as stateless. No errors are in engine.log.

Comment 2 Sandro Bonazzola 2014-10-17 12:34:58 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.